<style>
{% call sass() %}
#page-cloud {
    position: relative;
    padding-top: 41px;
    padding-left: 72px;
    height: 100%;

    .container {
        width: 1100px;
        margin: auto;
        margin-top: 50px;

        .cloud { 
            display: inline-block;
            text-align: center;
            break-inside: avoid;
            width: 250px;  
            margin-bottom: 30px;

            &.cloud-huge {
                width: 400px;
            }

            .cloud__title {
               text-transform: capitalize;
            }

            .cloud__items {
                margin-top: 5px;
                padding: 0;
                list-style-type: none;
                width: 100%;
                text-align: center;

                li {
                    list-style: none;
                    display: inline;
                }
            }
        }
    }

    $color-level-advanced: #007799;
    $color-level-intermediate: rgba(0, 0, 0, .8);
    $color-level-beginner: adjust-color($color-level-intermediate, $alpha: -0.5);
    $color-level-zero: adjust-color($color-level-intermediate, $alpha: -0.5);

    .skill-level-advanced { color: $color-level-advanced; }
    .skill-level-intermediate { color: $color-level-intermediate; }
    .skill-level-beginner { color: $color-level-beginner; }
    .skill-level-zero { color: $color-level-zero; }

    .skill-importance-1 { font-size: 1.5em; }
    .skill-importance-2 { font-size: 1.25em; }
    .skill-importance-3 { font-size: 1em; }

    .legend__item:nth-child(1) .legend__item__color { background-color: $color-level-advanced; }
    .legend__item:nth-child(2) .legend__item__color { background-color: $color-level-intermediate; }
    .legend__item:nth-child(3) .legend__item__color { background-color: $color-level-beginner; }
    .legend__item:nth-child(4) .legend__item__color { background-color: $color-level-zero; }
    
    .legend__item:nth-child(4) { display: none; }

    .legend { 
        position: absolute;
        bottom: 120px;
        right: 120px;
        border: 1px solid rgba(0, 0, 0, .8);
        padding: 10px 20px;

        .legend__item {
            margin: 5px 0;

            .legend__item__name {
                display: inline-block;
            }

            .legend__item__color {
                display: inline-block;
                width: 15px;
                height: 15px;
            }
        }
    }
}
{% endcall %}
</style>

<div id="page-cloud">
    <h1>
        {{ translatable({
            'en': 'TECHNOLOGIES', 
            'ru': 'ТЕХНОЛОГИИ',
            'fr': 'TECHNOLOGIES',
            'es': 'TECNOLOGÍAS',
            'zh': '技能',
            'de': 'Technologien'
        }, lang) }}
    </h1> 

    <div class="container">
        {% for skills_group_name, skills_group in skills.items() %}
        <div class="cloud {{ 'cloud-huge' if skills_group|length > 25 }}"> 
            <h2 class="cloud__title">{{ skills_group_name }}</h2>
            <ul class="cloud__items">
                {% for skill in skills_group %}
                    <li class="skill-level-{{ skill.level }} skill-importance-{{ skill.importance }}">{{ skill.name }}</li>
                {% endfor %}
            </ul>
        </div>
        {% endfor %}
    </div>

    <div class="legend">
        <div class="legend__item">
            <div class="legend__item__color"></div>
            <div class="legend__item__name">{{ legend[0] }}</div>
        </div>
        <div class="legend__item">
            <div class="legend__item__color"></div>
            <div class="legend__item__name">{{ legend[1] }}</div>
        </div>
        <div class="legend__item">
            <div class="legend__item__color"></div>
            <div class="legend__item__name">{{ legend[2] }}</div>
        </div>
        <div class="legend__item">
            <div class="legend__item__color"></div>
            <div class="legend__item__name">{{ legend[3] }}</div>
        </div>
    </div>
</div>